/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef ABOUT_H
#define ABOUT_H
 
#include "variables.h"

#include <glib.h>
#include <gtkmm/box.h> 
#include <gtkmm/button.h>
#include <gtkmm/buttonbox.h>
#include <gtkmm/dialog.h>
#include <gtkmm/image.h>
#include <gtkmm/label.h>
#include <gtkmm/scrolledwindow.h>
#include <gtkmm/separator.h>
#include <gtkmm/textbuffer.h>
#include <gtkmm/textview.h>
#include <iostream>
using namespace std;

// About OpenLDev class
class AboutDialog : public Gtk::Dialog
{
public:
  AboutDialog();
  ~AboutDialog();

  void initialize_objects(Glib::ustring);

private:
  Gtk::Dialog *dialog;
  Gtk::Label *openldev_label;
  Gtk::Label *copyright_label;
  Gtk::VBox *vbox;
  Gtk::Button *ok;
  Gtk::HSeparator *hseparator;
};

#endif
